annotations: []
smart_annotations: []
nodes:
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: |-
          Building configuration...

          Current configuration : 1336 bytes
          !
          ! Last configuration change at 13:38:46 UTC Mon Mar 3 2025
          !
          version 17.15
          service timestamps debug datetime msec
          service timestamps log datetime msec
          !
          hostname Dist1
          !
          boot-start-marker
          boot-end-marker
          !
          !
          no logging console
          no aaa new-model
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          ip audit notify log
          ip audit po max-events 100
          no ip domain lookup
          ip cef
          login on-success log
          no ipv6 cef
          !
          !
          !
          !
          !
          !
          !
          vtp mode transparent
          !
          !
          !
          !
          memory free low-watermark processor 79593
          !
          !
          spanning-tree mode rapid-pvst
          spanning-tree extend system-id
          !
          !
          vlan internal allocation policy ascending
          !
          vlan 10-11
          !
          !
          !
          !
          !
          interface Ethernet0/0
           description Trunk link to Access4
           switchport trunk encapsulation dot1q
           switchport mode trunk
          !
          interface Ethernet0/1
           description Trunk to R1
           switchport trunk encapsulation dot1q
           switchport mode trunk
          !
          interface Ethernet0/2
           description Trunk link to Dist2
           switchport trunk encapsulation dot1q
           switchport mode trunk
          !
          interface Ethernet0/3
           description Trunk link to Access3
           switchport trunk encapsulation dot1q
           switchport mode trunk
          !
          ip forward-protocol nd
          !
          !
          ip http server
          no ip http secure-server
          ip ssh bulk-mode 131072
          !
          no logging btrace
          !
          !
          !
          control-plane
          !
          !
          !
          line con 0
           exec-timeout 0 0
           logging synchronous
          line aux 0
          line vty 0 4
           exec-timeout 0 0
           no login
           transport input all
          !
          !
          end
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n0
    image_definition: null
    label: Dist1
    node_definition: ioll2-xe
    parameters: {}
    ram: null
    tags: []
    x: -440
    y: 0
    interfaces:
      - id: i0
        label: Loopback0
        mac_address: null
        type: loopback
      - id: i1
        label: Ethernet0/0
        mac_address: null
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        mac_address: null
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        mac_address: null
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        mac_address: null
        slot: 3
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: |-
          Building configuration...

          Current configuration : 1288 bytes
          !
          ! Last configuration change at 13:38:47 UTC Mon Mar 3 2025
          !
          version 17.15
          service timestamps debug datetime msec
          service timestamps log datetime msec
          !
          hostname Dist2
          !
          boot-start-marker
          boot-end-marker
          !
          !
          no logging console
          no aaa new-model
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          ip audit notify log
          ip audit po max-events 100
          no ip domain lookup
          ip cef
          login on-success log
          no ipv6 cef
          !
          !
          !
          !
          !
          !
          !
          vtp mode transparent
          !
          !
          !
          !
          memory free low-watermark processor 79593
          !
          !
          spanning-tree mode rapid-pvst
          spanning-tree extend system-id
          !
          !
          vlan internal allocation policy ascending
          !
          vlan 10-11
          !
          !
          !
          !
          !
          interface Ethernet0/0
           description Trunk link to Access4
           switchport trunk encapsulation dot1q
           switchport mode trunk
          !
          interface Ethernet0/1
           description Trunk link to Dist1
           switchport trunk encapsulation dot1q
           switchport mode trunk
          !
          interface Ethernet0/2
           switchport trunk encapsulation dot1q
          !
          interface Ethernet0/3
           description Trunk link to Access3
           switchport trunk encapsulation dot1q
           switchport mode trunk
          !
          ip forward-protocol nd
          !
          !
          ip http server
          no ip http secure-server
          ip ssh bulk-mode 131072
          !
          no logging btrace
          !
          !
          !
          control-plane
          !
          !
          !
          line con 0
           exec-timeout 0 0
           logging synchronous
          line aux 0
          line vty 0 4
           exec-timeout 0 0
           no login
           transport input all
          !
          !
          end
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n1
    image_definition: null
    label: Dist2
    node_definition: ioll2-xe
    parameters: {}
    ram: null
    tags: []
    x: -40
    y: 0
    interfaces:
      - id: i0
        label: Loopback0
        mac_address: null
        type: loopback
      - id: i1
        label: Ethernet0/0
        mac_address: null
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        mac_address: null
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        mac_address: null
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        mac_address: null
        slot: 3
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: |-
          Building configuration...

          Current configuration : 1458 bytes
          !
          ! Last configuration change at 13:38:47 UTC Mon Mar 3 2025
          !
          version 17.15
          service timestamps debug datetime msec
          service timestamps log datetime msec
          !
          hostname Access3
          !
          boot-start-marker
          boot-end-marker
          !
          !
          no logging console
          no aaa new-model
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          ip audit notify log
          ip audit po max-events 100
          no ip domain lookup
          ip cef
          login on-success log
          no ipv6 cef
          !
          !
          !
          !
          !
          !
          !
          vtp mode transparent
          !
          !
          !
          !
          memory free low-watermark processor 79593
          !
          !
          spanning-tree mode rapid-pvst
          spanning-tree extend system-id
          !
          !
          vlan internal allocation policy ascending
          !
          vlan 10-11
          !
          !
          !
          !
          !
          interface Ethernet0/0
          !
          interface Ethernet0/1
           description Trunk link to Dist1
           switchport trunk encapsulation dot1q
           switchport mode trunk
          !
          interface Ethernet0/2
           description Trunk link to Dist2
           switchport trunk encapsulation dot1q
           switchport mode trunk
          !
          interface Ethernet0/3
          !
          interface Ethernet1/0
           shutdown
          !
          interface Ethernet1/1
           description Access link to PC11
           switchport access vlan 10
           switchport mode access
           shutdown
          !
          interface Ethernet1/2
           description Access link to PC21
           switchport access vlan 11
           switchport mode access
           shutdown
          !
          interface Ethernet1/3
           shutdown
          !
          ip forward-protocol nd
          !
          !
          ip http server
          no ip http secure-server
          ip ssh bulk-mode 131072
          !
          no logging btrace
          !
          !
          !
          control-plane
          !
          !
          !
          line con 0
           exec-timeout 0 0
           logging synchronous
          line aux 0
          line vty 0 4
           exec-timeout 0 0
           no login
           transport input all
          !
          !
          end
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n2
    image_definition: null
    label: Access3
    node_definition: ioll2-xe
    parameters: {}
    ram: null
    tags: []
    x: -440
    y: 200
    interfaces:
      - id: i0
        label: Loopback0
        mac_address: null
        type: loopback
      - id: i1
        label: Ethernet0/0
        mac_address: null
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        mac_address: null
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        mac_address: null
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        mac_address: null
        slot: 3
        type: physical
      - id: i5
        label: Ethernet1/0
        mac_address: null
        slot: 4
        type: physical
      - id: i6
        label: Ethernet1/1
        mac_address: null
        slot: 5
        type: physical
      - id: i7
        label: Ethernet1/2
        mac_address: null
        slot: 6
        type: physical
      - id: i8
        label: Ethernet1/3
        mac_address: null
        slot: 7
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: |-
          Building configuration...

          Current configuration : 1458 bytes
          !
          ! Last configuration change at 13:38:47 UTC Mon Mar 3 2025
          !
          version 17.15
          service timestamps debug datetime msec
          service timestamps log datetime msec
          !
          hostname Access4
          !
          boot-start-marker
          boot-end-marker
          !
          !
          no logging console
          no aaa new-model
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          ip audit notify log
          ip audit po max-events 100
          no ip domain lookup
          ip cef
          login on-success log
          no ipv6 cef
          !
          !
          !
          !
          !
          !
          !
          vtp mode transparent
          !
          !
          !
          !
          memory free low-watermark processor 79593
          !
          !
          spanning-tree mode rapid-pvst
          spanning-tree extend system-id
          !
          !
          vlan internal allocation policy ascending
          !
          vlan 10-11
          !
          !
          !
          !
          !
          interface Ethernet0/0
          !
          interface Ethernet0/1
           description Trunk link to Dist1
           switchport trunk encapsulation dot1q
           switchport mode trunk
          !
          interface Ethernet0/2
           description Trunk link to Dist2
           switchport trunk encapsulation dot1q
           switchport mode trunk
          !
          interface Ethernet0/3
          !
          interface Ethernet1/0
           shutdown
          !
          interface Ethernet1/1
           description Access link to PC12
           switchport access vlan 10
           switchport mode access
           shutdown
          !
          interface Ethernet1/2
           description Access link to PC22
           switchport access vlan 11
           switchport mode access
           shutdown
          !
          interface Ethernet1/3
           shutdown
          !
          ip forward-protocol nd
          !
          !
          ip http server
          no ip http secure-server
          ip ssh bulk-mode 131072
          !
          no logging btrace
          !
          !
          !
          control-plane
          !
          !
          !
          line con 0
           exec-timeout 0 0
           logging synchronous
          line aux 0
          line vty 0 4
           exec-timeout 0 0
           no login
           transport input all
          !
          !
          end
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n3
    image_definition: null
    label: Access4
    node_definition: ioll2-xe
    parameters: {}
    ram: null
    tags: []
    x: -40
    y: 200
    interfaces:
      - id: i0
        label: Loopback0
        mac_address: null
        type: loopback
      - id: i1
        label: Ethernet0/0
        mac_address: null
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        mac_address: null
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        mac_address: null
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        mac_address: null
        slot: 3
        type: physical
      - id: i5
        label: Ethernet1/0
        mac_address: null
        slot: 4
        type: physical
      - id: i6
        label: Ethernet1/1
        mac_address: null
        slot: 5
        type: physical
      - id: i7
        label: Ethernet1/2
        mac_address: null
        slot: 6
        type: physical
      - id: i8
        label: Ethernet1/3
        mac_address: null
        slot: 7
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: |-
          Building configuration...

          Current configuration : 1402 bytes
          !
          ! Last configuration change at 13:38:47 UTC Mon Mar 3 2025
          !
          version 17.15
          service timestamps debug datetime msec
          service timestamps log datetime msec
          !
          hostname WAN
          !
          boot-start-marker
          boot-end-marker
          !
          !
          no logging console
          no aaa new-model
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          no ip domain lookup
          ip domain name networkupskill.com
          ip cef
          login on-success log
          no ipv6 cef
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          memory free low-watermark processor 80093
          !
          !
          spanning-tree mode rapid-pvst
          !
          !
          username cisco secret 9 $9$a3qbWc1OQwgfsk$I6R0zScMqOX/M361GjtNI0lz9amEYEW6CFmGr4tvq/g
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          interface Ethernet0/0
           no ip address
          !
          interface Ethernet0/1
           no ip address
          !
          interface Ethernet0/1.10
           encapsulation dot1Q 10
           ip address 10.1.10.1 255.255.255.0
          !
          interface Ethernet0/1.11
           encapsulation dot1Q 11
           ip address 10.1.11.1 255.255.255.0
          !
          interface Ethernet0/2
           no ip address
          !
          interface Ethernet0/3
           no ip address
          !
          interface Ethernet1/0
           no ip address
           shutdown
          !
          interface Ethernet1/1
           no ip address
           shutdown
          !
          interface Ethernet1/2
           no ip address
           shutdown
          !
          interface Ethernet1/3
           no ip address
           shutdown
          !
          ip forward-protocol nd
          !
          !
          no ip http server
          no ip http secure-server
          ip ssh bulk-mode 131072
          no logging btrace
          !
          !
          !
          control-plane
          !
          !
          !
          line con 0
           exec-timeout 0 0
           logging synchronous
          line aux 0
          line vty 0 4
           exec-timeout 0 0
           login local
           transport input all
          !
          !
          !
          !
          end
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n4
    image_definition: null
    label: R1
    node_definition: iol-xe
    parameters: {}
    ram: null
    tags: []
    x: -680
    y: 0
    interfaces:
      - id: i0
        label: Loopback0
        mac_address: null
        type: loopback
      - id: i1
        label: Ethernet0/0
        mac_address: null
        slot: 0
        type: physical
      - id: i2
        label: Ethernet0/1
        mac_address: null
        slot: 1
        type: physical
      - id: i3
        label: Ethernet0/2
        mac_address: null
        slot: 2
        type: physical
      - id: i4
        label: Ethernet0/3
        mac_address: null
        slot: 3
        type: physical
      - id: i5
        label: Ethernet1/0
        mac_address: null
        slot: 4
        type: physical
      - id: i6
        label: Ethernet1/1
        mac_address: null
        slot: 5
        type: physical
      - id: i7
        label: Ethernet1/2
        mac_address: null
        slot: 6
        type: physical
      - id: i8
        label: Ethernet1/3
        mac_address: null
        slot: 7
        type: physical
links:
  - id: l0
    n1: n0
    n2: n1
    i1: i3
    i2: i2
    conditioning: {}
    label: Dist1-Ethernet0/2<->Dist2-Ethernet0/1
  - id: l1
    n1: n0
    n2: n2
    i1: i4
    i2: i2
    conditioning: {}
    label: Dist1-Ethernet0/3<->Access1-Ethernet0/1
  - id: l2
    n1: n4
    n2: n0
    i1: i2
    i2: i2
    conditioning: {}
    label: R1-Ethernet0/1<->Dist1-Ethernet0/1
  - id: l3
    n1: n0
    n2: n3
    i1: i1
    i2: i2
    conditioning: {}
    label: Dist1-Ethernet0/0<->Access2-Ethernet0/1
  - id: l4
    n1: n1
    n2: n2
    i1: i4
    i2: i3
    conditioning: {}
    label: Dist2-Ethernet0/3<->Access1-Ethernet0/2
  - id: l5
    n1: n1
    n2: n3
    i1: i1
    i2: i3
    conditioning: {}
    label: Dist2-Ethernet0/0<->Access2-Ethernet0/2
lab:
  description: CLAB352 (www.certskills.com/clab352), with same topology but interface
    IDs to match what CML-Free can do, with the initial configurations per the lab
    exercise.
  notes: ''
  title: clab352
  version: 0.3.0
